クリエイター検索
概要
キーワードやフィルター条件でクリエイター情報を取得します。以下の機能をサポートします。
- あいまい検索に対応
- フィルターパラメータの設定が可能
- カスタムソート順に対応
API エンドポイント
bash
POST /creator/v1/searchリクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
keywords | string | いいえ | 検索キーワード |
filter | object | いいえ | フィルターパラメータ |
orderby | object | いいえ | ソートパラメータ |
page | integer | いいえ | ページ番号, デフォルト: 1 |
pagesize | integer | いいえ | 1ページあたりの件数, デフォルト: 10 |
page*pagesize<= 5000
pagesize範囲 [1, 100]
keywords 詳細
keywords 最大長:
140文字
filter オプション値
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
region | string | いいえ | 国/地域 |
category_id | integer | いいえ | クリエイターカテゴリ |
verify_type | integer | いいえ | 認証タイプ: 1 (一般), 2 (ブルーV) |
creator_type | integer | いいえ | アカウントタイプ: 1 (個人), 2 (ショップ) |
follower_gender_type | integer | いいえ | フォロワー性別タイプ |
follower_age_type | integer | いいえ | フォロワー年齢タイプ |
follower_range | object | いいえ | フォロワー数範囲 |
is_mcn_creator | boolean | いいえ | MCN/エージェンシー所属クリエイターかどうか |
is_ecommerce_creator | boolean | いいえ | Eコマースクリエイターかどうか |
region範囲:['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']
follower_age_type範囲:[1,2,3](1(18-24 が多数),2(25-34 が多数),3(35+ が多数))
follower_gender_type範囲:[0,1](1(男性が多い),0(女性が多い))
orderby オプション値
| フィールド | 必須 | 説明 |
|---|---|---|
follower_count | いいえ | フォロワー数(降順) |
day28_follower_count | いいえ | 28日間フォロワー増加数(降順) |
video_count | いいえ | 総動画数(降順) |
video_avg_play_count | いいえ | 平均再生回数(降順) |
video_avg_digg_count | いいえ | 平均いいね数(降順) |
day28_units_sold | いいえ | 28日間販売数(降順) |
リクエスト例
bash
curl 'https://openapi.fastmoss.com/creator/v1/search' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"keywords": "daisycabral_",
"filter": {
"region": "US",
"follower_range": {
"min": 1000,
"max": 10000
},
"category_id": 1,
},
"orderby": [
{
"field": "follower_count",
"order": "desc",
}
],
"page": 1,
"pagesize": 10
}'レスポンスボディ
data.total
- 型: integer
- 説明: 結果の総数
data.list
| フィールド | 型 | 説明 |
|---|---|---|
day28_follower_count | integer | 28日間フォロワー増加数 |
day28_units_sold | integer | 28日間販売数 |
day28_gmv | float | 28日間GMV |
total_units_sold | integer | 総販売数 |
total_gmv | float | 総GMV |
video_count | integer | 総動画数 |
video_avg_play_count | integer | 平均再生回数 |
video_avg_digg_count | integer | 平均いいね数 |
video_units_sold | integer | 動画経由販売数 |
video_gmv | float | 動画経由GMV |
live_count | integer | ライブ配信数 |
live_units_sold | integer | ライブ経由販売数 |
live_gmv | float | ライブ経由GMV |
day28_live_count | integer | 28日間ライブ配信数 |
day28_live_gmv | float | 28日間ライブGMV |
currency | string | 通貨 |
engagement_rate | integer | エンゲージメント率 |
trend_category | array[object] | 販売トレンドカテゴリ |
product_category_l1 | array[integer] | 商品カテゴリレベル1 |
product_category_l2 | array[integer] | 商品カテゴリレベル2 |
product_category_l3 | array[integer] | 商品カテゴリレベル3 |
data.list.creator
| フィールド | 型 | 説明 |
|---|---|---|
uid | string | クリエイターID |
nickname | string | クリエイターのニックネーム |
unique_id | string | クリエイターのユニークID @xxxxxxx |
avatar | string | クリエイターのアバターURL |
region | string | クリエイターの地域 |
seller_id | string | 関連ショップID |
follower_count | integer | クリエイターのフォロワー数 |
category | array[object] | クリエイターカテゴリ |
follower_ages | array[object] | フォロワーの年齢分布 |
follower_genders | array[object] | フォロワーの性別分布 |
verify_type | integer | 認証タイプ |
レスポンス例
json
{
"code": 0,
"data": {
"list": [
{
"creator": {
"uid": "7153432386608251946",
"nickname": "BASED",
"unique_id": "based",
"avatar": "https://s.500fd.com/tt_author/55014e26dbf474c4a27a302cea499131~tplv-tiktokx-cropcenter:720:720.jpeg",
"region": "US",
"seller_id": "7495079418085345590",
"verify_type": 2,
"follower_count": 3030207,
"category": {
"id": 2,
"name": "Shopping & Retail"
},
"follower_ages": [
{
"key": "18-24",
"value": "0.3573"
},
{
"key": "25-34",
"value": "0.2183"
},
{
"key": "35-44",
"value": "0.1735"
},
{
"key": "13-17",
"value": "0.1111"
},
{
"key": "45-54",
"value": "0.0870"
}
],
"follower_genders": [
{
"key": "male",
"value": "0.9165"
},
{
"key": "female",
"value": "0.0835"
}
]
},
"day28_follower_count": 193164,
"day28_units_sold": 138827,
"day28_gmv": 4647070.38,
"total_units_sold": 986220,
"total_gmv": 28172233.05,
"video_count": 374,
"day28_video_count": 427,
"video_avg_play_count": 388170,
"video_avg_digg_count": 7448,
"video_units_sold": 273894,
"video_gmv": 7838766.02,
"live_count": 286,
"live_units_sold": 708690,
"live_gmv": 20202277.42,
"day28_live_count": 41,
"day28_live_gmv": 4252160,
"currency": "USD",
"engagement_rate": 191,
"trend_category": [
{
"id": 1007,
"name": "Personal Care & Health "
},
{
"id": 1001,
"name": "Beauty"
}
],
"product_category_l1": [14],
"product_category_l2": [848904, 848776, 849160, 849288],
"product_category_l3": [
601615, 601469, 601498, 601490, 601619, 981512, 601611, 601646,
851984, 806160, 1004168, 601681, 601492, 601513
]
}
],
"total": 2000
},
"message": "",
"timestamp": 1776254922,
"request_id": "198c9aad-b4b5-6d7f-1341-fdafc4bec51a"
}